DVITYPE(1)

NAME
dvitype, odvitype - translate a dvi file for humans to read

SYNOPSIS
dvitype dvi_file[.dvi]

DESCRIPTION
The dvitype program translates a DVI (DeVice Independent) file output by (for example) tex(1) or gftodvi(1), to a file that humans can read. It also serves as a DVI file-validating program (i.e., if dvitype can read it, it's correct) and as an example of a DVI-processing program for future device drivers.

The output from dvitype can include all commands, just the important ones, or none at all (in which case only errors are reported). A subinterval of pages may be selected, the magnification and resolution of the ``output device'' may be changed, and so on.

The .dvi extension is supplied if omitted from dvi_file. The output goes to stdout.

The odvitype program does the same job for Omega/Aleph's output, modified to support their .ofm font format.

OPTIONS
See tex(1) for details of command-line parsing.

-dpi=real
    Set resolution to real pixels per inch; default 300.0.

-magnification=number
    Override existing magnification with number.

-max-pages=number
    Process number pages; default one million.

-output-level=number
    Verbosity level, from 0 to 4; default 4.

-page-start=page-spec
    Start at page-spec, for example `2' or `5.*.-2'.

-show-opcodes
    Show numeric opcodes (in decimal).

The standard -help and -version options are also supported.

ENVIRONMENT
The environment variable TEXFONTS is used to search for the TFM files used in the DVI file. See tex(1) for the details of the searching. If TEXFONTS is not set, it uses the system default.

SEE ALSO
gftype(1), pktype(1).
Donald E. Knuth, TeXware.

DVI structure topic on CTAN: https://ctan.org/topic/dvi-struc
Package page on CTAN: https://ctan.org/pkg/dvitype
Section in the Web2c manual: https://tug.org/texinfohtml/web2c.html#dvitype-invocation
Typeset source code, including the DVI file format description: https://ctan.org/pkg/knuth-pdf

AUTHORS
Donald E. Knuth wrote the program, based on work by David Fuchs. It was published as part of the TeXware technical report from Stanford. Howard Trickey and Pavel Curtis originally ported it to Unix. Yannis Haralambous and John Plaice created the Omega version.

Public discussion list and bug reports: https://lists.tug.org/tex-k